aboutsummaryrefslogtreecommitdiffstats
path: root/tests/t0010-validate-html.sh
diff options
context:
space:
mode:
authorLukas Fleischer <cgit@cryptocrack.de>2013-04-09 20:02:32 +0200
committerJason A. Donenfeld <Jason@zx2c4.com>2013-04-10 14:49:31 +0200
commit016364d4edef261fb55257e36d8a47828d398f96 (patch)
treee5730d3da3dca74177398f3e7ba3f01911a32916 /tests/t0010-validate-html.sh
parentAdd branch-sort and repo.branch-sort options. (diff)
downloadcgit-016364d4edef261fb55257e36d8a47828d398f96.tar.xz
cgit-016364d4edef261fb55257e36d8a47828d398f96.zip
tests/: Do not use `sed -i`
"-i" isn't part of the POSIX standard and doesn't work on several platforms such as OpenBSD. Use a temporary file instead. Signed-off-by: Lukas Fleischer <cgit@cryptocrack.de>
Diffstat (limited to '')
-rwxr-xr-xtests/t0010-validate-html.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/t0010-validate-html.sh b/tests/t0010-validate-html.sh
index 5bd0a25..ca08d69 100755
--- a/tests/t0010-validate-html.sh
+++ b/tests/t0010-validate-html.sh
@@ -8,8 +8,8 @@ test_url()
{
tidy_opt="-eq"
test -z "$NO_TIDY_WARNINGS" || tidy_opt+=" --show-warnings no"
- cgit_url "$1" >tidy-$test_count || return
- sed -ie "1,4d" tidy-$test_count || return
+ cgit_url "$1" >tidy-$test_count.tmp || return
+ sed -e "1,4d" tidy-$test_count.tmp >tidy-$test_count || return
"$tidy" $tidy_opt tidy-$test_count
rc=$?